VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::backup::JobStub Class Reference

Remote stub implementation of the Job API service. More...

Inherits vmware::appliance::recovery::backup::Job.

List of all members.

## Public Member Functions
| JobStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.appliance.recovery.backup.JobTypes.ReturnResult | Cancel (string id)
| Cancel the backup job.
vmware.appliance.recovery.backup.JobTypes.ReturnResult | Cancel (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel the backup job.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.ReturnResult > | CancelAsync (string id)
| Cancel the backup job.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.ReturnResult > | CancelAsync (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel the backup job.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Create (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece)
| Initiate backup.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Create (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Initiate backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | CreateAsync (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece)
| Initiate backup.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | CreateAsync (vmware.appliance.recovery.backup.JobTypes.BackupRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Initiate backup.
global::System.Collections.Generic.List < string > | List ()
| Get list of backup jobs.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of backup jobs.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Get list of backup jobs.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get list of backup jobs.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Get (string id)
| See backup job progress/result.
vmware.appliance.recovery.backup.JobTypes.BackupJobStatus | Get (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| See backup job progress/result.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | GetAsync (string id)
| See backup job progress/result.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.backup.JobTypes.BackupJobStatus > | GetAsync (string id, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| See backup job progress/result.

## Detailed Description

Remote stub implementation of the Job API service.

## Constructor & Destructor Documentation

vmware::appliance::recovery::backup::JobStub::JobStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.recovery.backup.JobTypes.ReturnResult vmware::appliance::recovery::backup::JobStub::Cancel | ( | string | id | ) | `[inline]`

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

vmware.appliance.recovery.backup.JobTypes.ReturnResult vmware::appliance::recovery::backup::JobStub::Cancel | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.ReturnResult> vmware::appliance::recovery::backup::JobStub::CancelAsync | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.ReturnResult> vmware::appliance::recovery::backup::JobStub::CancelAsync | ( | string | id | ) | `[inline]`

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::JobStub::Create | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece | ) | `[inline]`

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::JobStub::Create | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::JobStub::CreateAsync | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::JobStub::CreateAsync | ( | vmware.appliance.recovery.backup.JobTypes.BackupRequest | piece | ) | `[inline]`

Initiate backup.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | BackupRequest Structure

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::JobStub::Get | ( | string | id | ) | `[inline]`

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

vmware.appliance.recovery.backup.JobTypes.BackupJobStatus vmware::appliance::recovery::backup::JobStub::Get | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::JobStub::GetAsync | ( | string | id,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.backup.JobTypes.BackupJobStatus> vmware::appliance::recovery::backup::JobStub::GetAsync | ( | string | id | ) | `[inline]`

See backup job progress/result.

Exceptions:

  vmware.vapi.std.errors.NotFound | ID is not found
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  id | ID (ID of job) The parameter must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.job` .

Returns:
  BackupJobStatus Structure

Implements vmware::appliance::recovery::backup::Job.

global::System.Collections.Generic.List<string> vmware::appliance::recovery::backup::JobStub::List | ( |  | ) | `[inline]`

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implements vmware::appliance::recovery::backup::Job.

global::System.Collections.Generic.List<string> vmware::appliance::recovery::backup::JobStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::recovery::backup::JobStub::ListAsync | ( |  | ) | `[inline]`

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implements vmware::appliance::recovery::backup::Job.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::appliance::recovery::backup::JobStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get list of backup jobs.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of BackupJob IDs The result will contain identifiers for the resource type: `com.vmware.appliance.recovery.backup.job` .

Implements vmware::appliance::recovery::backup::Job.

The documentation for this class was generated from the following file:

- backup/JobStub.cs